Status
- URL:https://<useritem-url>/status
Description
Inquire about status when publishing an item, adding an item in async mode, or adding with a multipart upload. "Partial" is available for Add Item Multipart, when only a part is uploaded and the item is not committed.
Request Parameters
|
Parameter |
Details |
|---|---|
| jobType | The type of asynchronous job for which the status has to be checked. Default is none, which check the item's status. This parameter is optional unless used with the operations listed below. Values: publish, generateFeatures, export, and createService |
| jobId | The job ID returned during publish, generateFeatures, export, and createService calls. |
| f |
The response format. The default and the only response format for this resource is HTML. Values: html |
Example Usage
https://www.arcgis.com/sharing/rest/content/users/jsmith/items/49bf5db6340e4bccaceca5af3b2bec4b/status
JSON Response Syntax
{
"status": "partial | processing | failed | completed",
"statusMessage": "partial",
"itemId": "<item id>"
}
JSON Response Example
{
"status": "partial",
"statusMessage": "partial",
"itemId": "49bf5db6340e4bccaceca5af3b2bec4b"
}